| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros
LTC6953.h File Reference
RF, Silicon Oscillators, PLL Synthesizers, and VCOs » LTC6953: Ultra-Low Jitter, JESD204B Clock Distributor with Eleven Programmable Outputs

LTC6953: Ultra-Low Jitter, JESD204B Clock Distributor with Eleven Programmable Outputs. More...

## Detailed Description

LTC6953: Ultra-Low Jitter, JESD204B Clock Distributor with Eleven Programmable Outputs.

     SPI DATA FORMAT (MSB First):

     Write Sequence:
           Byte #1                    Byte #2
     MOSI: A6 A5 A4 A3 A2 A1 A0 W   D7 D6 D5 D4 D3 D2 D1 D0
     MISO: X  X  X  X  X  X  X  X   X  X  X  X  X  X  X  X

     Read Sequence:
           Byte #1                    Byte #2
     MOSI: A6 A5 A4 A3 A2 A1 A0 R   X  X  X  X  X  X  X  X
     MISO: X  X  X  X  X  X  X  X   D7 D6 D5 D4 D3 D2 D1 D0

     W    : SPI Write (0)
     R    : SPI Read  (1)
     Ax   : Address
     Dx   : Data Bits
     X    : Don't care

http://www.linear.com/product/LTC6953

http://www.linear.com/product/LTC6953#demoboards

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Header for LTC6953: Ultra-Low Jitter, JESD204B Clock Distributor with Eleven Programmable Outputs

Definition in file LTC6953.h.

Go to the source code of this file.

## Functions
uint8_t | LTC6953_read (uint8_t cs, int8_t address)
| LTC6953 Read Single Address reads 8 bit Data field to LTC6953. More...
long | LTC6953_read_field (uint8_t cs, uint8_t address, uint8_t MSB_loc, uint8_t numbits)
| LTC6953 Read Single Field For SPI FIELDS located in 1 or multiple address location reads specific address locations identifies and returns specific field in question can handle SPI fields in multiple addresses, if MSB bit is in the lower number address. More...
long | get_LTC6953_SPI_FIELD (uint8_t cs, uint8_t f)
| Gets the LTC6953 SPI field value calls function LTC6953_read_field, which reads specific address locations identifies and returns specific field in question can handle SPI fields in multiple addresses, if MSB bit is in the lower number address. More...
void | LTC6953_write (uint8_t cs, uint8_t address, uint8_t Data)
| LTC6953 Write Single Address writes 8 bit Data field to LTC6953. More...
uint8_t | LTC6953_write_field (uint8_t cs, long field_data, uint8_t address, uint8_t MSB_loc, uint8_t numbits)
| LTC6953 Write Single Field For SPI FIELDS in 1 or multiple address locations reads specific address/field location then writes to specific field can handle SPI fields in multiple addresses, if MSB bit is in the lower number address. More...
void | set_LTC6953_SPI_FIELD (uint8_t cs, uint8_t f, long field_data)
| Sets the LTC6953 SPI field value calls function LTC6953_read_field, which reads specific address/field location then writes to specific field can handle SPI fields in multiple addresses, if MSB bit is in the lower number address. More...
void | set_LTC6953_REGS_lkup_tbl (uint8_t lkup_tbl_row)
| Writes values to ALL LTC6953 RW addresses from a look-up table. More...
void | LTC6953_init ()
| Initializes the SPI MAP arrays The values set in initialization are used for all the LTC6953 SPI/WRITE and read functions (set_LTC6953_SPI_FIELD, get_LTC6953_SPI_FIELD, LTC6953_read, LTC6953_write, etc, etc) More...
uint8_t | get_LTC6953_REGSIZE ()
| returns # of addresses in parts register map (array size) More...
uint8_t | get_LTC6953_SPI_FIELD_NUMBITS (uint8_t f)
| returns the number of bits for a given field name in the SPI map More...
uint8_t | get_LTC6953_SPI_FIELD_RW (uint8_t f)
| returns if the given field name is (0)read/write or (1)read_only field More...
int8_t | discover_demo_board_local (char *demo_name)
| Read the ID string from the EEPROM and determine if any demo board is connected. More...

## Macros
#define | LTC6953_CS QUIKEVAL_CS
| Define the SPI CS pin. More...
#define | LTC6953_ADEL0 1
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_ADEL1 2
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_ADEL2 3
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_ADEL3 4
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_ADEL4 5
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_ADEL5 6
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_ADEL6 7
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_ADEL7 8
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_ADEL8 9
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_ADEL9 10
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_ADEL10 11
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_DDEL0 12
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_DDEL1 13
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_DDEL2 14
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_DDEL3 15
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_DDEL4 16
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_DDEL5 17
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_DDEL6 18
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_DDEL7 19
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_DDEL8 20
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_DDEL9 21
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_DDEL10 22
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_EZMD 23
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_FILTV 24
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_INVSTAT 25
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MD0 26
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MD1 27
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MD2 28
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MD3 29
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MD4 30
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MD5 31
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MD6 32
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MD7 33
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MD8 34
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MD9 35
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MD10 36
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MODE0 37
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MODE1 38
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MODE2 39
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MODE3 40
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MODE4 41
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MODE5 42
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MODE6 43
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MODE7 44
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MODE8 45
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MODE9 46
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MODE10 47
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MP0 48
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MP1 49
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MP2 50
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MP3 51
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MP4 52
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MP5 53
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MP6 54
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MP7 55
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MP8 56
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MP9 57
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_MP10 58
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_OINV0 59
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_OINV1 60
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_OINV2 61
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_OINV3 62
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_OINV4 63
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_OINV5 64
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_OINV6 65
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_OINV7 66
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_OINV8 67
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_OINV9 68
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_OINV10 69
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_PART 70
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_PDALL 71
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_PDVCOPK 72
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_PD10 73
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_PD9 74
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_PD8 75
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_PD7 76
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_PD6 77
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_PD5 78
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_PD4 79
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_PD3 80
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_PD2 81
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_PD1 82
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_PD0 83
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_POR 84
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_REV 85
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_SYSCT 86
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_SRQMD 87
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_SSRQ 88
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_SRQEN0 89
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_SRQEN1 90
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_SRQEN2 91
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_SRQEN3 92
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_SRQEN4 93
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_SRQEN5 94
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_SRQEN6 95
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_SRQEN7 96
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_SRQEN8 97
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_SRQEN9 98
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_SRQEN10 99
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_TEMPO 100
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_nVCOOK 101
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_VCOOK 102
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_x 103
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6953_NUM_REGADDR 57
| Defines number of LTC6953 SPI registers, used in spi_map array. More...
#define | LTC6953_NUM_REGFIELD 103
| Defines number of LTC6953 SPI fields, used in spi_map array. More...
#define | ADDRx 0
| used for 2nd dim of 2d spi_map array More...
#define | DxMSB 1
| used for 2nd dim of 2d spi_map array More...
#define | NUMBITS 2
| used for 2nd dim of 2d spi_map array More...
#define | R_ONLY 3
| used for 2nd dim of 2d spi_map array More...

## Function Documentation

## ◆ discover_demo_board_local()

int8_t discover_demo_board_local | ( | char * | demo_name | ) |

Read the ID string from the EEPROM and determine if any demo board is connected.

Returns 1 if successful, 0 if not successful

Definition at line 831 of file LTC6951.cpp.

## ◆ get_LTC6953_REGSIZE()

uint8_t get_LTC6953_REGSIZE | ( |  | ) |

returns # of addresses in parts register map (array size)

Returns
  # of addresses in parts register map

Definition at line 242 of file LTC6953.cpp.

## ◆ get_LTC6953_SPI_FIELD()

long get_LTC6953_SPI_FIELD | ( | uint8_t | cs,
|  | uint8_t | f
| ) |  |

Gets the LTC6953 SPI field value calls function LTC6953_read_field, which reads specific address locations identifies and returns specific field in question can handle SPI fields in multiple addresses, if MSB bit is in the lower number address.

Returns
  data that was read from field

Parameters

  cs | Chip Select Pin
  f | SPI field number

Definition at line 154 of file LTC6953.cpp.

## ◆ get_LTC6953_SPI_FIELD_NUMBITS()

uint8_t get_LTC6953_SPI_FIELD_NUMBITS | ( | uint8_t | f | ) |

returns the number of bits for a given field name in the SPI map

Returns
  the number of bits for a given field name in the SPI map

Parameters

  f | SPI field number

Definition at line 252 of file LTC6953.cpp.

## ◆ get_LTC6953_SPI_FIELD_RW()

uint8_t get_LTC6953_SPI_FIELD_RW | ( | uint8_t | f | ) |

returns if the given field name is (0)read/write or (1)read_only field

Returns
  if the given field is a (0)read/write or (1)read_only field

Parameters

  f | SPI field number

Definition at line 265 of file LTC6953.cpp.

## ◆ LTC6953_init()

void LTC6953_init | ( |  | ) |

Initializes the SPI MAP arrays The values set in initialization are used for all the LTC6953 SPI/WRITE and read functions (set_LTC6953_SPI_FIELD, get_LTC6953_SPI_FIELD, LTC6953_read, LTC6953_write, etc, etc)

Returns
  void

Definition at line 353 of file LTC6953.cpp.

## ◆ LTC6953_read()

uint8_t LTC6953_read | ( | uint8_t | cs,
|  | int8_t | address
| ) |  |

LTC6953 Read Single Address reads 8 bit Data field to LTC6953.

has to shift data by one bit to account for RW bit

Returns
  data that was read from address

Parameters

  cs | Chip Select Pin
  address | Register address for the LTC6953.

Definition at line 98 of file LTC6953.cpp.

## ◆ LTC6953_read_field()

long LTC6953_read_field | ( | uint8_t | cs,
|  | uint8_t | address,
|  | uint8_t | MSB_loc,
|  | uint8_t | numbits
| ) |  |

LTC6953 Read Single Field For SPI FIELDS located in 1 or multiple address location reads specific address locations identifies and returns specific field in question can handle SPI fields in multiple addresses, if MSB bit is in the lower number address.

Returns
  data that was read from field

Parameters

  cs | Chip Select Pin
  address | Register address for the LTC6953.
  MSB_loc | MSB bit location of field
  numbits | length of field (i.e. number of bits in field)

Definition at line 118 of file LTC6953.cpp.

## ◆ LTC6953_write()

void LTC6953_write | ( | uint8_t | cs,
|  | uint8_t | address,
|  | uint8_t | Data
| ) |  |

LTC6953 Write Single Address writes 8 bit Data field to LTC6953.

has to shift data by one bit to account for RW bit

Returns
  void

Parameters

  cs | Chip Select Pin
  address | Register address for the LTC6953.
  Data | 8-bit data to be written to register

Definition at line 175 of file LTC6953.cpp.

## ◆ LTC6953_write_field()

uint8_t LTC6953_write_field | ( | uint8_t | cs,
|  | long | field_data,
|  | uint8_t | address,
|  | uint8_t | MSB_loc,
|  | uint8_t | numbits
| ) |  |

LTC6953 Write Single Field For SPI FIELDS in 1 or multiple address locations reads specific address/field location then writes to specific field can handle SPI fields in multiple addresses, if MSB bit is in the lower number address.

Returns
  void

Parameters

  cs | Chip Select Pin
  field_data | Value field value to be set to
  address | Register address for the LTC6953.
  MSB_loc | MSB bit location of field
  numbits | length of field (i.e. number of bits in field)

Definition at line 191 of file LTC6953.cpp.

## ◆ set_LTC6953_REGS_lkup_tbl()

void set_LTC6953_REGS_lkup_tbl | ( | uint8_t | lkup_tbl_row | ) |

Writes values to ALL LTC6953 RW addresses from a look-up table.

- uses the Multi-byte write option for more efficient data transfer
- Either SPI Syncs or recommends the use to SYNC pin based on RAO value
  Returns
    void

Parameters

  lkup_tbl_row | Any number 0-2, lookup table has 2 options

Definition at line 303 of file LTC6953.cpp.

## ◆ set_LTC6953_SPI_FIELD()

void set_LTC6953_SPI_FIELD | ( | uint8_t | cs,
|  | uint8_t | f,
|  | long | field_data
| ) |  |

Sets the LTC6953 SPI field value calls function LTC6953_read_field, which reads specific address/field location then writes to specific field can handle SPI fields in multiple addresses, if MSB bit is in the lower number address.

Returns
  void

Parameters

  cs | Chip Select Pin
  f | SPI field number
  field_data | Value field value to be set to

Definition at line 281 of file LTC6953.cpp.

## Macro Definition Documentation

## ◆ ADDRx

#define ADDRx 0

used for 2nd dim of 2d spi_map array

Definition at line 186 of file LTC6953.h.

## ◆ DxMSB

#define DxMSB 1

used for 2nd dim of 2d spi_map array

Definition at line 187 of file LTC6953.h.

## ◆ LTC6953_ADEL0

#define LTC6953_ADEL0 1

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 79 of file LTC6953.h.

## ◆ LTC6953_ADEL1

#define LTC6953_ADEL1 2

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 80 of file LTC6953.h.

## ◆ LTC6953_ADEL10

#define LTC6953_ADEL10 11

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 89 of file LTC6953.h.

## ◆ LTC6953_ADEL2

#define LTC6953_ADEL2 3

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 81 of file LTC6953.h.

## ◆ LTC6953_ADEL3

#define LTC6953_ADEL3 4

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 82 of file LTC6953.h.

## ◆ LTC6953_ADEL4

#define LTC6953_ADEL4 5

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 83 of file LTC6953.h.

## ◆ LTC6953_ADEL5

#define LTC6953_ADEL5 6

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 84 of file LTC6953.h.

## ◆ LTC6953_ADEL6

#define LTC6953_ADEL6 7

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 85 of file LTC6953.h.

## ◆ LTC6953_ADEL7

#define LTC6953_ADEL7 8

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 86 of file LTC6953.h.

## ◆ LTC6953_ADEL8

#define LTC6953_ADEL8 9

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 87 of file LTC6953.h.

## ◆ LTC6953_ADEL9

#define LTC6953_ADEL9 10

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 88 of file LTC6953.h.

## ◆ LTC6953_CS

#define LTC6953_CS QUIKEVAL_CS

Define the SPI CS pin.

Definition at line 76 of file LTC6953.h.

## ◆ LTC6953_DDEL0

#define LTC6953_DDEL0 12

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 90 of file LTC6953.h.

## ◆ LTC6953_DDEL1

#define LTC6953_DDEL1 13

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 91 of file LTC6953.h.

## ◆ LTC6953_DDEL10

#define LTC6953_DDEL10 22

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 100 of file LTC6953.h.

## ◆ LTC6953_DDEL2

#define LTC6953_DDEL2 14

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 92 of file LTC6953.h.

## ◆ LTC6953_DDEL3

#define LTC6953_DDEL3 15

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 93 of file LTC6953.h.

## ◆ LTC6953_DDEL4

#define LTC6953_DDEL4 16

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 94 of file LTC6953.h.

## ◆ LTC6953_DDEL5

#define LTC6953_DDEL5 17

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 95 of file LTC6953.h.

## ◆ LTC6953_DDEL6

#define LTC6953_DDEL6 18

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 96 of file LTC6953.h.

## ◆ LTC6953_DDEL7

#define LTC6953_DDEL7 19

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 97 of file LTC6953.h.

## ◆ LTC6953_DDEL8

#define LTC6953_DDEL8 20

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 98 of file LTC6953.h.

## ◆ LTC6953_DDEL9

#define LTC6953_DDEL9 21

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 99 of file LTC6953.h.

## ◆ LTC6953_EZMD

#define LTC6953_EZMD 23

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 101 of file LTC6953.h.

## ◆ LTC6953_FILTV

#define LTC6953_FILTV 24

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 102 of file LTC6953.h.

## ◆ LTC6953_INVSTAT

#define LTC6953_INVSTAT 25

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 103 of file LTC6953.h.

## ◆ LTC6953_MD0

#define LTC6953_MD0 26

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 104 of file LTC6953.h.

## ◆ LTC6953_MD1

#define LTC6953_MD1 27

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 105 of file LTC6953.h.

## ◆ LTC6953_MD10

#define LTC6953_MD10 36

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 114 of file LTC6953.h.

## ◆ LTC6953_MD2

#define LTC6953_MD2 28

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 106 of file LTC6953.h.

## ◆ LTC6953_MD3

#define LTC6953_MD3 29

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 107 of file LTC6953.h.

## ◆ LTC6953_MD4

#define LTC6953_MD4 30

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 108 of file LTC6953.h.

## ◆ LTC6953_MD5

#define LTC6953_MD5 31

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 109 of file LTC6953.h.

## ◆ LTC6953_MD6

#define LTC6953_MD6 32

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 110 of file LTC6953.h.

## ◆ LTC6953_MD7

#define LTC6953_MD7 33

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 111 of file LTC6953.h.

## ◆ LTC6953_MD8

#define LTC6953_MD8 34

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 112 of file LTC6953.h.

## ◆ LTC6953_MD9

#define LTC6953_MD9 35

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 113 of file LTC6953.h.

## ◆ LTC6953_MODE0

#define LTC6953_MODE0 37

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 115 of file LTC6953.h.

## ◆ LTC6953_MODE1

#define LTC6953_MODE1 38

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 116 of file LTC6953.h.

## ◆ LTC6953_MODE10

#define LTC6953_MODE10 47

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 125 of file LTC6953.h.

## ◆ LTC6953_MODE2

#define LTC6953_MODE2 39

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 117 of file LTC6953.h.

## ◆ LTC6953_MODE3

#define LTC6953_MODE3 40

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 118 of file LTC6953.h.

## ◆ LTC6953_MODE4

#define LTC6953_MODE4 41

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 119 of file LTC6953.h.

## ◆ LTC6953_MODE5

#define LTC6953_MODE5 42

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 120 of file LTC6953.h.

## ◆ LTC6953_MODE6

#define LTC6953_MODE6 43

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 121 of file LTC6953.h.

## ◆ LTC6953_MODE7

#define LTC6953_MODE7 44

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 122 of file LTC6953.h.

## ◆ LTC6953_MODE8

#define LTC6953_MODE8 45

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 123 of file LTC6953.h.

## ◆ LTC6953_MODE9

#define LTC6953_MODE9 46

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 124 of file LTC6953.h.

## ◆ LTC6953_MP0

#define LTC6953_MP0 48

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 126 of file LTC6953.h.

## ◆ LTC6953_MP1

#define LTC6953_MP1 49

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 127 of file LTC6953.h.

## ◆ LTC6953_MP10

#define LTC6953_MP10 58

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 136 of file LTC6953.h.

## ◆ LTC6953_MP2

#define LTC6953_MP2 50

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 128 of file LTC6953.h.

## ◆ LTC6953_MP3

#define LTC6953_MP3 51

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 129 of file LTC6953.h.

## ◆ LTC6953_MP4

#define LTC6953_MP4 52

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 130 of file LTC6953.h.

## ◆ LTC6953_MP5

#define LTC6953_MP5 53

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 131 of file LTC6953.h.

## ◆ LTC6953_MP6

#define LTC6953_MP6 54

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 132 of file LTC6953.h.

## ◆ LTC6953_MP7

#define LTC6953_MP7 55

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 133 of file LTC6953.h.

## ◆ LTC6953_MP8

#define LTC6953_MP8 56

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 134 of file LTC6953.h.

## ◆ LTC6953_MP9

#define LTC6953_MP9 57

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 135 of file LTC6953.h.

## ◆ LTC6953_NUM_REGADDR

#define LTC6953_NUM_REGADDR 57

Defines number of LTC6953 SPI registers, used in spi_map array.

Definition at line 183 of file LTC6953.h.

## ◆ LTC6953_NUM_REGFIELD

#define LTC6953_NUM_REGFIELD 103

Defines number of LTC6953 SPI fields, used in spi_map array.

Definition at line 184 of file LTC6953.h.

## ◆ LTC6953_nVCOOK

#define LTC6953_nVCOOK 101

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 179 of file LTC6953.h.

## ◆ LTC6953_OINV0

#define LTC6953_OINV0 59

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 137 of file LTC6953.h.

## ◆ LTC6953_OINV1

#define LTC6953_OINV1 60

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 138 of file LTC6953.h.

## ◆ LTC6953_OINV10

#define LTC6953_OINV10 69

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 147 of file LTC6953.h.

## ◆ LTC6953_OINV2

#define LTC6953_OINV2 61

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 139 of file LTC6953.h.

## ◆ LTC6953_OINV3

#define LTC6953_OINV3 62

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 140 of file LTC6953.h.

## ◆ LTC6953_OINV4

#define LTC6953_OINV4 63

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 141 of file LTC6953.h.

## ◆ LTC6953_OINV5

#define LTC6953_OINV5 64

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 142 of file LTC6953.h.

## ◆ LTC6953_OINV6

#define LTC6953_OINV6 65

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 143 of file LTC6953.h.

## ◆ LTC6953_OINV7

#define LTC6953_OINV7 66

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 144 of file LTC6953.h.

## ◆ LTC6953_OINV8

#define LTC6953_OINV8 67

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 145 of file LTC6953.h.

## ◆ LTC6953_OINV9

#define LTC6953_OINV9 68

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 146 of file LTC6953.h.

## ◆ LTC6953_PART

#define LTC6953_PART 70

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 148 of file LTC6953.h.

## ◆ LTC6953_PD0

#define LTC6953_PD0 83

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 161 of file LTC6953.h.

## ◆ LTC6953_PD1

#define LTC6953_PD1 82

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 160 of file LTC6953.h.

## ◆ LTC6953_PD10

#define LTC6953_PD10 73

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 151 of file LTC6953.h.

## ◆ LTC6953_PD2

#define LTC6953_PD2 81

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 159 of file LTC6953.h.

## ◆ LTC6953_PD3

#define LTC6953_PD3 80

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 158 of file LTC6953.h.

## ◆ LTC6953_PD4

#define LTC6953_PD4 79

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 157 of file LTC6953.h.

## ◆ LTC6953_PD5

#define LTC6953_PD5 78

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 156 of file LTC6953.h.

## ◆ LTC6953_PD6

#define LTC6953_PD6 77

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 155 of file LTC6953.h.

## ◆ LTC6953_PD7

#define LTC6953_PD7 76

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 154 of file LTC6953.h.

## ◆ LTC6953_PD8

#define LTC6953_PD8 75

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 153 of file LTC6953.h.

## ◆ LTC6953_PD9

#define LTC6953_PD9 74

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 152 of file LTC6953.h.

## ◆ LTC6953_PDALL

#define LTC6953_PDALL 71

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 149 of file LTC6953.h.

## ◆ LTC6953_PDVCOPK

#define LTC6953_PDVCOPK 72

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 150 of file LTC6953.h.

## ◆ LTC6953_POR

#define LTC6953_POR 84

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 162 of file LTC6953.h.

## ◆ LTC6953_REV

#define LTC6953_REV 85

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 163 of file LTC6953.h.

## ◆ LTC6953_SRQEN0

#define LTC6953_SRQEN0 89

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 167 of file LTC6953.h.

## ◆ LTC6953_SRQEN1

#define LTC6953_SRQEN1 90

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 168 of file LTC6953.h.

## ◆ LTC6953_SRQEN10

#define LTC6953_SRQEN10 99

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 177 of file LTC6953.h.

## ◆ LTC6953_SRQEN2

#define LTC6953_SRQEN2 91

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 169 of file LTC6953.h.

## ◆ LTC6953_SRQEN3

#define LTC6953_SRQEN3 92

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 170 of file LTC6953.h.

## ◆ LTC6953_SRQEN4

#define LTC6953_SRQEN4 93

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 171 of file LTC6953.h.

## ◆ LTC6953_SRQEN5

#define LTC6953_SRQEN5 94

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 172 of file LTC6953.h.

## ◆ LTC6953_SRQEN6

#define LTC6953_SRQEN6 95

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 173 of file LTC6953.h.

## ◆ LTC6953_SRQEN7

#define LTC6953_SRQEN7 96

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 174 of file LTC6953.h.

## ◆ LTC6953_SRQEN8

#define LTC6953_SRQEN8 97

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 175 of file LTC6953.h.

## ◆ LTC6953_SRQEN9

#define LTC6953_SRQEN9 98

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 176 of file LTC6953.h.

## ◆ LTC6953_SRQMD

#define LTC6953_SRQMD 87

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 165 of file LTC6953.h.

## ◆ LTC6953_SSRQ

#define LTC6953_SSRQ 88

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 166 of file LTC6953.h.

## ◆ LTC6953_SYSCT

#define LTC6953_SYSCT 86

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 164 of file LTC6953.h.

## ◆ LTC6953_TEMPO

#define LTC6953_TEMPO 100

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 178 of file LTC6953.h.

## ◆ LTC6953_VCOOK

#define LTC6953_VCOOK 102

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 180 of file LTC6953.h.

## ◆ LTC6953_x

#define LTC6953_x 103

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 181 of file LTC6953.h.

## ◆ NUMBITS

#define NUMBITS 2

used for 2nd dim of 2d spi_map array

Definition at line 188 of file LTC6953.h.

## ◆ R_ONLY

#define R_ONLY 3

used for 2nd dim of 2d spi_map array

Definition at line 189 of file LTC6953.h.